Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.parser.schema
Interface XSDTypeConstants

All Known Implementing Classes:
  XSDAttribute, XSDConstrainingFacet, XSDDataValue, XSDElement, XSDSimpleType

public interface XSDTypeConstants

Field Summary
`static java.lang.String` | `_atomic`
`static java.lang.String` | `_base64`
`static java.lang.String` | `_collapse`
`static java.lang.String` | `_hex`
`static java.lang.String` | `_preserve`
`static java.lang.String` | `_replace`
`static java.lang.String` | `ANY_SIMPLE`
`static java.lang.String` | `ANY_URI`
`static java.lang.String` | `BASE64_BINARY`
`static java.lang.String` | `BINARY`
`static java.lang.String` | `BOOLEAN`
`static java.lang.String` | `BYTE`
`static java.lang.String` | `CDATA`
`static java.lang.String` | `CENTURY`
`static java.lang.String` | `DATE`
`static java.lang.String` | `DATE_TIME`
`static java.lang.String` | `DAYTIME_DURATION`
`static java.lang.String` | `DECIMAL`
`static java.lang.String` | `DOUBLE`
`static java.lang.String` | `DURATION`
`static java.lang.String` | `ENCODING`
`static java.lang.String` | `ENTITIES`
`static java.lang.String` | `ENTITY`
`static java.lang.String` | `ENUMERATION`
`static int` | `fDAYTIME`
`static int` | `fFINITE`
`static int` | `fID`
`static int` | `fIDREF`
`static int` | `fINTEGER`
`static java.lang.String` | `FLOAT`
`static int` | `fNUMERIC` flags for foundamental Facet and other properties
`static int` | `fORDERED`
`static java.lang.String` | `FRACTION_DIGITS`
`static int` | `fYEARMONTH`
`static java.lang.String` | `GDAY`
`static java.lang.String` | `GMONTH`
`static java.lang.String` | `GMONTH_DAY`
`static java.lang.String` | `GYEAR`
`static java.lang.String` | `GYEAR_MONTH`
`static java.lang.String` | `HEX_BINARY`
`static int` | `iANY_SIMPLE` Primitive datatypes const
`static int` | `iANY_URI`
`static int` | `iBASE64_BINARY`
`static int` | `iBOOLEAN`
`static int` | `iBYTE`
`static java.lang.String` | `ID`
`static int` | `iDATE`
`static int` | `iDATE_TIME`
`static int` | `iDAYTIME_DURATION`
`static int` | `iDECIMAL`
`static int` | `iDOUBLE`
`static java.lang.String` | `IDREF`
`static java.lang.String` | `IDREFS` Derived by List
`static int` | `iDUMMY` Contraining Facet IDs
`static int` | `iDURATION`
`static int` | `iENTITIES`
`static int` | `iENTITY`
`static int` | `iENUMERATION`
`static int` | `iFLOAT`
`static int` | `iFRACTION_DIGITS`
`static int` | `iGDAY`
`static int` | `iGMONTH`
`static int` | `iGMONTH_DAY`
`static int` | `iGYEAR`
`static int` | `iGYEAR_MONTH`
`static int` | `iHEX_BINARY`
`static int` | `iID`
`static int` | `iIDREF`
`static int` | `iIDREFS`
`static int` | `iINT`
`static int` | `iINTEGER`
`static int` | `iLANGUAGE`
`static int` | `iLENGTH`
`static int` | `iLONG`
`static int` | `iMAXEXCLUSIVE`
`static int` | `iMAXINCLUSIVE`
`static int` | `iMAXLENGTH`
`static int` | `iMINEXCLUSIVE`
`static int` | `iMININCLUSIVE`
`static int` | `iMINLENGTH`
`static int` | `iN_STRING`
`static int` | `iNAME`
`static int` | `iNCNAME`
`static int` | `iNEGATIVE_INTEGER`
`static int` | `iNMTOKEN`
`static int` | `iNMTOKENS`
`static int` | `iNON_NEGATIVE_INTEGER`
`static int` | `iNON_POSITIVE_INTEGER`
`static int` | `iNOTATION`
`static java.lang.String` | `INT`
`static java.lang.String` | `INTEGER_STR` Basic generated type derived from DECIMAL
`static int` | `iPATTERN`
`static int` | `iPOSITIVE_INTEGER`
`static int` | `iQNAME`
`static int` | `iSHORT`
`static int` | `iSTRING`
`static int` | `iTIME`
`static int` | `iTOKEN`
`static int` | `iTOTAL_DIGITS`
`static int` | `iUNSIGNED_BYTE`
`static int` | `iUNSIGNED_INT`
`static int` | `iUNSIGNED_LONG`
`static int` | `iUNSIGNED_SHORT`
`static int` | `iWHITESPACE`
`static int` | `iYEARMONTH_DURATION`
`static java.lang.String` | `LANGUAGE`
`static java.lang.String` | `LENGTH`
`static java.lang.String` | `LONG`
`static java.lang.String` | `MAXEXCLUSIVE`
`static java.lang.String` | `MAXINCLUSIVE`
`static java.lang.String` | `MAXLENGTH`
`static java.lang.String` | `MINEXCLUSIVE`
`static java.lang.String` | `MININCLUSIVE`
`static java.lang.String` | `MINLENGTH`
`static java.lang.String` | `MONTH`
`static java.lang.String` | `N_STRING` Basic generated type derived from STRING
`static java.lang.String` | `NAME`
`static int` | `nBUILTIN`
`static java.lang.String` | `NCNAME`
`static java.lang.String` | `NEGATIVE_INTEGER`
`static int` | `nFacets`
`static java.lang.String` | `NMTOKEN`
`static java.lang.String` | `NMTOKENS`
`static java.lang.String` | `NON_NEGATIVE_INTEGER`
`static java.lang.String` | `NON_POSITIVE_INTEGER`
`static int` | `nPRIMITIVE`
`static java.lang.String` | `PATTERN`
`static java.lang.String` | `PERIOD`
`static java.lang.String` | `POSITIVE_INTEGER`
`static java.lang.String` | `PRECISION`
`static java.lang.String` | `QNAME`
`static java.lang.String` | `RECURRING_DATE`
`static java.lang.String` | `RECURRING_DAY`
`static java.lang.String` | `RECURRING_DURATION`
`static java.lang.String` | `SCALE`
`static java.lang.String[]` | `sFacets` Array of facet strings, can be indexed using the above const
`static java.lang.String` | `SHORT`
`static java.lang.String` | `SNOTATION`
`static java.lang.String` | `STRING`
`static java.lang.String[]` | `sTypes` Array of types indexed by above consts
`static java.lang.String` | `TIME`
`static java.lang.String` | `TIME_DURATION`
`static java.lang.String` | `TIME_INSTANT`
`static java.lang.String` | `TIME_PERIOD`
`static java.lang.String` | `TOKEN`
`static java.lang.String` | `TOTAL_DIGITS`
`static java.lang.String` | `UNSIGNED_BYTE`
`static java.lang.String` | `UNSIGNED_INT`
`static java.lang.String` | `UNSIGNED_LONG`
`static java.lang.String` | `UNSIGNED_SHORT`
`static java.lang.String` | `UNTYPED_ATOMIC`
`static java.lang.String` | `URI_REFERENCE`
`static java.lang.String` | `WHITESPACE`
`static java.lang.String` | `YEAR`
`static java.lang.String` | `YEARMONTH_DURATION`

Field Detail

### iANY_SIMPLE

    public static final int iANY_SIMPLE

  Primitive datatypes const
  See Also:
    Constant Field Values

### iSTRING

    public static final int iSTRING

  See Also:
    Constant Field Values

### iBOOLEAN

    public static final int iBOOLEAN

  See Also:
    Constant Field Values

### iFLOAT

    public static final int iFLOAT

  See Also:
    Constant Field Values

### iDOUBLE

    public static final int iDOUBLE

  See Also:
    Constant Field Values

### iDECIMAL

    public static final int iDECIMAL

  See Also:
    Constant Field Values

### iDURATION

    public static final int iDURATION

  See Also:
    Constant Field Values

### iDATE_TIME

    public static final int iDATE_TIME

  See Also:
    Constant Field Values

### iTIME

    public static final int iTIME

  See Also:
    Constant Field Values

### iDATE

    public static final int iDATE

  See Also:
    Constant Field Values

### iGYEAR_MONTH

    public static final int iGYEAR_MONTH

  See Also:
    Constant Field Values

### iGYEAR

    public static final int iGYEAR

  See Also:
    Constant Field Values

### iGMONTH

    public static final int iGMONTH

  See Also:
    Constant Field Values

### iGMONTH_DAY

    public static final int iGMONTH_DAY

  See Also:
    Constant Field Values

### iGDAY

    public static final int iGDAY

  See Also:
    Constant Field Values

### iHEX_BINARY

    public static final int iHEX_BINARY

  See Also:
    Constant Field Values

### iBASE64_BINARY

    public static final int iBASE64_BINARY

  See Also:
    Constant Field Values

### iANY_URI

    public static final int iANY_URI

  See Also:
    Constant Field Values

### iQNAME

    public static final int iQNAME

  See Also:
    Constant Field Values

### iNOTATION

    public static final int iNOTATION

  See Also:
    Constant Field Values

### nPRIMITIVE

    public static final int nPRIMITIVE

  See Also:
    Constant Field Values

### iYEARMONTH_DURATION

    public static final int iYEARMONTH_DURATION

  See Also:
    Constant Field Values

### iDAYTIME_DURATION

    public static final int iDAYTIME_DURATION

  See Also:
    Constant Field Values

### iINTEGER

    public static final int iINTEGER

  See Also:
    Constant Field Values

### iNON_POSITIVE_INTEGER

    public static final int iNON_POSITIVE_INTEGER

  See Also:
    Constant Field Values

### iLONG

    public static final int iLONG

  See Also:
    Constant Field Values

### iNON_NEGATIVE_INTEGER

    public static final int iNON_NEGATIVE_INTEGER

  See Also:
    Constant Field Values

### iNEGATIVE_INTEGER

    public static final int iNEGATIVE_INTEGER

  See Also:
    Constant Field Values

### iINT

    public static final int iINT

  See Also:
    Constant Field Values

### iSHORT

    public static final int iSHORT

  See Also:
    Constant Field Values

### iBYTE

    public static final int iBYTE

  See Also:
    Constant Field Values

### iUNSIGNED_LONG

    public static final int iUNSIGNED_LONG

  See Also:
    Constant Field Values

### iPOSITIVE_INTEGER

    public static final int iPOSITIVE_INTEGER

  See Also:
    Constant Field Values

### iUNSIGNED_INT

    public static final int iUNSIGNED_INT

  See Also:
    Constant Field Values

### iUNSIGNED_SHORT

    public static final int iUNSIGNED_SHORT

  See Also:
    Constant Field Values

### iUNSIGNED_BYTE

    public static final int iUNSIGNED_BYTE

  See Also:
    Constant Field Values

### iN_STRING

    public static final int iN_STRING

  See Also:
    Constant Field Values

### iTOKEN

    public static final int iTOKEN

  See Also:
    Constant Field Values

### iLANGUAGE

    public static final int iLANGUAGE

  See Also:
    Constant Field Values

### iID

    public static final int iID

  See Also:
    Constant Field Values

### iIDREF

    public static final int iIDREF

  See Also:
    Constant Field Values

### iNMTOKEN

    public static final int iNMTOKEN

  See Also:
    Constant Field Values

### iENTITY

    public static final int iENTITY

  See Also:
    Constant Field Values

### iNAME

    public static final int iNAME

  See Also:
    Constant Field Values

### iNCNAME

    public static final int iNCNAME

  See Also:
    Constant Field Values

### iIDREFS

    public static final int iIDREFS

  See Also:
    Constant Field Values

### iENTITIES

    public static final int iENTITIES

  See Also:
    Constant Field Values

### iNMTOKENS

    public static final int iNMTOKENS

  See Also:
    Constant Field Values

### nBUILTIN

    public static final int nBUILTIN

  See Also:
    Constant Field Values

### sTypes

    public static final java.lang.String[] sTypes

  Array of types indexed by above consts

### ANY_SIMPLE

    public static final java.lang.String ANY_SIMPLE

### STRING

    public static final java.lang.String STRING

### BOOLEAN

    public static final java.lang.String BOOLEAN

### FLOAT

    public static final java.lang.String FLOAT

### DOUBLE

    public static final java.lang.String DOUBLE

### DECIMAL

    public static final java.lang.String DECIMAL

### DURATION

    public static final java.lang.String DURATION

### DATE_TIME

    public static final java.lang.String DATE_TIME

### TIME

    public static final java.lang.String TIME

### DATE

    public static final java.lang.String DATE

### GYEAR_MONTH

    public static final java.lang.String GYEAR_MONTH

### GYEAR

    public static final java.lang.String GYEAR

### GMONTH

    public static final java.lang.String GMONTH

### GMONTH_DAY

    public static final java.lang.String GMONTH_DAY

### GDAY

    public static final java.lang.String GDAY

### HEX_BINARY

    public static final java.lang.String HEX_BINARY

### BASE64_BINARY

    public static final java.lang.String BASE64_BINARY

### ANY_URI

    public static final java.lang.String ANY_URI

### QNAME

    public static final java.lang.String QNAME

### SNOTATION

    public static final java.lang.String SNOTATION

### N_STRING

    public static final java.lang.String N_STRING

  Basic generated type derived from STRING
  See Also:
    Constant Field Values

### TOKEN

    public static final java.lang.String TOKEN

  See Also:
    Constant Field Values

### LANGUAGE

    public static final java.lang.String LANGUAGE

  See Also:
    Constant Field Values

### ID

    public static final java.lang.String ID

  See Also:
    Constant Field Values

### IDREF

    public static final java.lang.String IDREF

  See Also:
    Constant Field Values

### NMTOKEN

    public static final java.lang.String NMTOKEN

  See Also:
    Constant Field Values

### ENTITY

    public static final java.lang.String ENTITY

  See Also:
    Constant Field Values

### NAME

    public static final java.lang.String NAME

  See Also:
    Constant Field Values

### NCNAME

    public static final java.lang.String NCNAME

  See Also:
    Constant Field Values

### IDREFS

    public static final java.lang.String IDREFS

  Derived by List
  See Also:
    Constant Field Values

### ENTITIES

    public static final java.lang.String ENTITIES

  See Also:
    Constant Field Values

### NMTOKENS

    public static final java.lang.String NMTOKENS

  See Also:
    Constant Field Values

### INTEGER_STR

    public static final java.lang.String INTEGER_STR

  Basic generated type derived from DECIMAL
  See Also:
    Constant Field Values

### NON_POSITIVE_INTEGER

    public static final java.lang.String NON_POSITIVE_INTEGER

  See Also:
    Constant Field Values

### LONG

    public static final java.lang.String LONG

  See Also:
    Constant Field Values

### NON_NEGATIVE_INTEGER

    public static final java.lang.String NON_NEGATIVE_INTEGER

  See Also:
    Constant Field Values

### NEGATIVE_INTEGER

    public static final java.lang.String NEGATIVE_INTEGER

  See Also:
    Constant Field Values

### INT

    public static final java.lang.String INT

  See Also:
    Constant Field Values

### SHORT

    public static final java.lang.String SHORT

  See Also:
    Constant Field Values

### BYTE

    public static final java.lang.String BYTE

  See Also:
    Constant Field Values

### UNSIGNED_LONG

    public static final java.lang.String UNSIGNED_LONG

  See Also:
    Constant Field Values

### POSITIVE_INTEGER

    public static final java.lang.String POSITIVE_INTEGER

  See Also:
    Constant Field Values

### UNSIGNED_INT

    public static final java.lang.String UNSIGNED_INT

  See Also:
    Constant Field Values

### UNSIGNED_SHORT

    public static final java.lang.String UNSIGNED_SHORT

  See Also:
    Constant Field Values

### UNSIGNED_BYTE

    public static final java.lang.String UNSIGNED_BYTE

  See Also:
    Constant Field Values

### YEARMONTH_DURATION

    public static final java.lang.String YEARMONTH_DURATION

  See Also:
    Constant Field Values

### DAYTIME_DURATION

    public static final java.lang.String DAYTIME_DURATION

  See Also:
    Constant Field Values

### UNTYPED_ATOMIC

    public static final java.lang.String UNTYPED_ATOMIC

  See Also:
    Constant Field Values

### CDATA

    public static final java.lang.String CDATA

  See Also:
    Constant Field Values

### URI_REFERENCE

    public static final java.lang.String URI_REFERENCE

  See Also:
    Constant Field Values

### RECURRING_DURATION

    public static final java.lang.String RECURRING_DURATION

  See Also:
    Constant Field Values

### TIME_PERIOD

    public static final java.lang.String TIME_PERIOD

  See Also:
    Constant Field Values

### TIME_DURATION

    public static final java.lang.String TIME_DURATION

  See Also:
    Constant Field Values

### TIME_INSTANT

    public static final java.lang.String TIME_INSTANT

  See Also:
    Constant Field Values

### RECURRING_DATE

    public static final java.lang.String RECURRING_DATE

  See Also:
    Constant Field Values

### RECURRING_DAY

    public static final java.lang.String RECURRING_DAY

  See Also:
    Constant Field Values

### CENTURY

    public static final java.lang.String CENTURY

  See Also:
    Constant Field Values

### YEAR

    public static final java.lang.String YEAR

  See Also:
    Constant Field Values

### MONTH

    public static final java.lang.String MONTH

  See Also:
    Constant Field Values

### BINARY

    public static final java.lang.String BINARY

  See Also:
    Constant Field Values

### iDUMMY

    public static final int iDUMMY

  Contraining Facet IDs
  See Also:
    Constant Field Values

### iMININCLUSIVE

    public static final int iMININCLUSIVE

  See Also:
    Constant Field Values

### iMINEXCLUSIVE

    public static final int iMINEXCLUSIVE

  See Also:
    Constant Field Values

### iMAXINCLUSIVE

    public static final int iMAXINCLUSIVE

  See Also:
    Constant Field Values

### iMAXEXCLUSIVE

    public static final int iMAXEXCLUSIVE

  See Also:
    Constant Field Values

### iTOTAL_DIGITS

    public static final int iTOTAL_DIGITS

  See Also:
    Constant Field Values

### iFRACTION_DIGITS

    public static final int iFRACTION_DIGITS

  See Also:
    Constant Field Values

### iLENGTH

    public static final int iLENGTH

  See Also:
    Constant Field Values

### iMAXLENGTH

    public static final int iMAXLENGTH

  See Also:
    Constant Field Values

### iMINLENGTH

    public static final int iMINLENGTH

  See Also:
    Constant Field Values

### iENUMERATION

    public static final int iENUMERATION

  See Also:
    Constant Field Values

### iPATTERN

    public static final int iPATTERN

  See Also:
    Constant Field Values

### iWHITESPACE

    public static final int iWHITESPACE

  See Also:
    Constant Field Values

### nFacets

    public static final int nFacets

  See Also:
    Constant Field Values

### fNUMERIC

    public static final int fNUMERIC

  flags for foundamental Facet and other properties
  See Also:
    Constant Field Values

### fORDERED

    public static final int fORDERED

  See Also:
    Constant Field Values

### fFINITE

    public static final int fFINITE

  See Also:
    Constant Field Values

### fID

    public static final int fID

  See Also:
    Constant Field Values

### fIDREF

    public static final int fIDREF

  See Also:
    Constant Field Values

### fINTEGER

    public static final int fINTEGER

  See Also:
    Constant Field Values

### fYEARMONTH

    public static final int fYEARMONTH

  See Also:
    Constant Field Values

### fDAYTIME

    public static final int fDAYTIME

  See Also:
    Constant Field Values

### sFacets

    public static final java.lang.String[] sFacets

  Array of facet strings, can be indexed using the above const

### MININCLUSIVE

    public static final java.lang.String MININCLUSIVE

### MINEXCLUSIVE

    public static final java.lang.String MINEXCLUSIVE

### MAXINCLUSIVE

    public static final java.lang.String MAXINCLUSIVE

### MAXEXCLUSIVE

    public static final java.lang.String MAXEXCLUSIVE

### TOTAL_DIGITS

    public static final java.lang.String TOTAL_DIGITS

### FRACTION_DIGITS

    public static final java.lang.String FRACTION_DIGITS

### LENGTH

    public static final java.lang.String LENGTH

### MAXLENGTH

    public static final java.lang.String MAXLENGTH

### MINLENGTH

    public static final java.lang.String MINLENGTH

### ENUMERATION

    public static final java.lang.String ENUMERATION

### PATTERN

    public static final java.lang.String PATTERN

### WHITESPACE

    public static final java.lang.String WHITESPACE

### ENCODING

    public static final java.lang.String ENCODING

  See Also:
    Constant Field Values

### PRECISION

    public static final java.lang.String PRECISION

  See Also:
    Constant Field Values

### SCALE

    public static final java.lang.String SCALE

  See Also:
    Constant Field Values

### PERIOD

    public static final java.lang.String PERIOD

  See Also:
    Constant Field Values

### _atomic

    public static final java.lang.String _atomic

  See Also:
    Constant Field Values

### _hex

    public static final java.lang.String _hex

  See Also:
    Constant Field Values

### _base64

    public static final java.lang.String _base64

  See Also:
    Constant Field Values

### _preserve

    public static final java.lang.String _preserve

  See Also:
    Constant Field Values

### _collapse

    public static final java.lang.String _collapse

  See Also:
    Constant Field Values

### _replace

    public static final java.lang.String _replace

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.